mailarchive of the ptxdist mailing list
 help / color / mirror / Atom feed
From: Roland Hieber <rhi@pengutronix.de>
To: ptxdist@pengutronix.de
Cc: Roland Hieber <rhi@pengutronix.de>
Subject: [ptxdist] [PATCH 1/3] ptxdist: _get_config_ptx: fix --force logic
Date: Thu, 14 Nov 2019 17:01:14 +0100	[thread overview]
Message-ID: <20191114160116.20379-1-rhi@pengutronix.de> (raw)

When --force is used to override that message, PTXDIST_FORCE is set to
true in parse_first(), resulting in the message to be shown.

Signed-off-by: Roland Hieber <rhi@pengutronix.de>
---
 bin/ptxdist | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/bin/ptxdist b/bin/ptxdist
index 9394b1739190..cd673a9f3dd6 100755
--- a/bin/ptxdist
+++ b/bin/ptxdist
@@ -250,7 +250,7 @@ _get_config_ptx() {
 
 
 	configfile_version="$(ptxd_get_ptxconf PTXCONF_CONFIGFILE_VERSION)"
-	if [ $? -ne 0 -a -n "${PTXDIST_FORCE}" ]; then
+	if [ $? -ne 0 -a -z "${PTXDIST_FORCE}" ]; then
 		ptxd_dialog_msgbox \
 			"error:	the config file '${PTXDIST_PTXCONFIG#${PTXDIST_WORKSPACE}/}'\n" \
 			"	is missing the symbol 'PTXCONF_CONFIGFILE_VERSION',\n" \
-- 
2.24.0


_______________________________________________
ptxdist mailing list
ptxdist@pengutronix.de

             reply	other threads:[~2019-11-14 16:01 UTC|newest]

Thread overview: 7+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-11-14 16:01 Roland Hieber [this message]
2019-11-14 16:01 ` [ptxdist] [PATCH 2/3] platforms: toolchain: bump default toolchain version Roland Hieber
2019-11-14 16:01 ` [ptxdist] [PATCH 3/3] ptxdist: add 'init', 'init-platform' commands to create new configs Roland Hieber
2019-11-15 14:09   ` Michael Olbrich
2019-11-15 14:30     ` Roland Hieber
2019-11-16 10:21       ` Michael Olbrich
2019-11-27  9:37         ` Roland Hieber

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20191114160116.20379-1-rhi@pengutronix.de \
    --to=rhi@pengutronix.de \
    --cc=ptxdist@pengutronix.de \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox